# Photometric System Transformation

An approximation of photon fluxes in a standard set of filters by a linear combination of an instrumental set of filters is determined on a field with known calibration sources.

## Synopsis

`munipack phfotran [.. parameters ..] file(s)`

## Description

A common astronomical apparatus composed from a telescope, filter and a detector has slightly different spectral sensitivity than the standard one which had established the primary (stellar) standards of a photometric system. Fortunately, a commonly used equipment close fits the standard spectral sensitivity due to effort of manufactures. Therefore, any differences are small and can be, with suitable precision, approximated by a linear approximation.

This action determines such transformation by application of the linear approximation between observed sum of counts and expected photons from calibration stars.

The transformation table can be used to convert observed counts c in an instrumental system (identified by PHOTSYS1) to counts c' in a standard system (identified by PHOTSYS2).

c'i = Σj Cij cj, i = { B,V ...}

The transformed counts c' will generally proportional to observed photons and can be used for calibration.

The transformation is designed to be used on a calibration field. The sparse field with many of well calibrated stars. There are sources of such fields (which can be supposed as the secondary standards):

- Stetson's fields

## Algorithm

The transformation is determined by the way:

- Reference catalogue and frames are merged in spherical coordinates with nearly positions.
- From known filter in a photometric system and catalogue magnitude, photon fluxes are derived.
- Observed counts are normalized to rates using of both telescope area and exposure time.
- The transformation matrix is determined.

A result of the transformation is a nearly tri-diagonal matrix (elements around diagonal dominates over other ones). The limitation of the shape is forced due to ill-conditioning of the problem.

## Prerequisites

Needs both astrometry and instrumental photometry of frames.

Headers would contain all the exposure time, filter, telescope area and photometry system keywords.

Specify photometric system (a conventional set of filters). Default is used value from frame header, use it when value is missing or needs correction. The option is important while determining of photometry calibration.

Specify filter. Default is used value from frame header, use it when value is missing or needs correction. The filter is important while determining of photometry calibration.

When calibrated frame contains FWHM parameter, the first aperture larger then the radius is used. When the parameter missing, the first aperture or user provided aperture is used.

Important.

The exposure time, filter, gain, area and an instrumental photometry system are absolutely necessory for calibration and none of them can not be omitted. At first, all values are obtained by reading of headers of FITS files. If at least one is not found, the calibration process is stopped (a wrong calibration which looks as valid is much more worse than any fail).

The situation can be solved by the ways:

- The values can be provided by editing of input files with help of `fits` module:

      $ munipack fits --key-update AREA=1,'[m] telescope area' huge.fits

  for all missing parameters.
- Also convenience options for most frequent missing parameters are provided: area and instrumental photosystem:

      $ munipack phcal ... --area 1 --photsys-instr 'MONTEBOO' ... frames.fits

  The convenience options doesn't supply common keywords (exptime, filter and gain) which can be usually found in frames.

While common values of exposure times, filters etc. are included to every header, the keywords can differ from Munipack's defaults. In the case, set ones via environment variables.

## Input And Output

On input, FITS frames in several filters are required. Ones must be passed in order from short- to long-wavelengths. Composited frames are recommended.

On output, a new FITS table representing the transformation is created.

## Parameters

### Reference Catalogue:

`-C,--cal`
  The calibration is specified by an exterior entity. The values are saved to a PHOTOMETRY extension header and counts are converted to photons for both image and table values.
`-c,--cat`
  Reference photometric catalogue. A fits table with coordinates and magnitudes of reference stars. One can be a selection from a "real" catalogue or a table prepared by oneself. See section Preparation of Photometric Catalogue, how create this table by hand.
`-r,--ref`
  Reference frame is used. The reference frame usually created by `-c,-C` options. Useful for relative photometry.
`-f,--filters`
  Filters used for calibration.
`-F,--filter-ref`
  Reference filter for calibration.
`--col-ra`
  Right Ascension column. Default is RAJ2000.
`--col-dec`
  Declination column. Default is DEJ2000.
`--col-mag`
  Magnitude column(s). Default is the filter (-f option) with 'mag' suffix like `-f V --col-mag Vmag` (?).
`--col-magerr`
  Magnitude std. error column(s) (no default). If this parameter is omited, errors are estimated as the square of photons derived from magnitudes.
`--tol`
  search radius for object identification in degrees (default 5*FWHM)

### Calibration specific:

`--photsys-ref`
  reference (standard) photometric system (catalogue)
`--photsys-instr`
  instrumental photometric system (frames)
`-q, --quantity`
  calibrated quantities by default: PHRATE, FLUX, FNU, FLAM, MAG, ABMAG, STMAG (see description), multiple quantities can be used, separated by colon

### Photometric system:

`--tratab`
  Table describing conversion from instrumental to reference photo-system. Usually product of phfotran.
`--phsystab`
  A table with photometric system definitions (specification)
`--list`
  Lists available photometric systems. Their identifiers are names of extensions in (photometric system definitions) file.

### Common:

`-th, --threshold`
  Select stars on both reference and calibrated frames (not applied on catalogues) with its stellar flux to a sky noise (signal to noise) ratio greater then the threshold value. Both the values are determined in the same aperture. The proper choice is crucial for photometry precision because it helps to select only bright stars with minimal pollution by the sky noise. The default value 5 is very conservative setup. It is suitable for bad conditions (like urban or a full moon light observations). Standard and good conditions will allow lower ratios. In an ideal case, it can be under one for best results.
`-e, --maxerr`
  Select stars on both reference and calibrated frame (not applied on catalogues) with its relative flux error smaller than the error limit. The value does not limits the final precision, but limits fluency of noisy data. The default value 0.1 (ten percents, about tenth of magnitude) will also include relative imprecise stars into both calibration and calibrated set. The values under 0.01 and lower will select only precise and suitable calibration stars.
`--area`
  Area of telescope aperture in square meters [m2].
`--saper`
  selects appropriate aperture from PHOTOMETRY extension. By default, flux in infinite aperture is used.
`--apcorr`
  sets the aperture correction. This correction converts fluxes in an aperture to the total flux (infinite aperture). The value of correction should be obtained by gphot.
`--advanced`
  Advanced format. Additional extensions (results of star find, photometry and residuals) are included. This format is not used by default because result FITS is twice or more bigger.

See Common options for input/output filenames.

When options for the area and the reference and instrumental systems are used, FITS header is updated according to provided values.

Default values for coordinates will be usually unsatisfactory.

Add -E,--extin option description.

## Caveats

Just equal number of instrumental and standard filters is implemented.

## Examples

Calibrate against to UCAC5 catalogue:

    $ munipack cone -c UCAC5 -o 0716cat.fits  -r 0.1 110.47 71.34
    $ munipack phfotran --area 1.86 --photsys-instr DK154 -c T_Phe.fits --col-ra RA --col-dec DEC --col-mag B,V,R,I T_Phe_000001.fits T_Phe_000003.fits T_Phe_000005.fits T_Phe_000007.fits

## See Also

Common options, Photometry Calibration.